.business-main {
    padding-top: 0px;
    width: 100%;
    overflow-x: hidden; /* 横スクロール防止 */
}

.page-header {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    box-sizing: border-box; /* パディングを幅に含める */
    margin-top: 125px;
}

.company-page-header {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    box-sizing: border-box; /* パディングを幅に含める */
    margin-top: 125px;
} 



.works-page-header {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    box-sizing: border-box; /* パディングを幅に含める */
    margin-top: 125px;

}

.column-page-header {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    box-sizing: border-box; /* パディングを幅に含める */
    margin-top: 125px;

}

.title-group {
    display: flex;
    align-items: center;
    gap: 20px;
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}

.company-title-group {
    display: flex;
    align-items: center;
    gap: 20px;
    min-width: 0; /* flexアイテムの最小幅を0に設定 */

}

.works-title-group {
    display: flex;
    align-items: center;
    gap: 20px;
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}

.column-title-group {
    display: flex;
    align-items: center;
    gap: 20px;
    min-width: 0;
}

.main-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 8px;
    margin: 0;
    white-space: nowrap; /* タイトルを1行に保つ */
}

.company-main-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 8px;
    margin: 0;
    white-space: nowrap; /* タイトルを1行に保つ */

}

.works-main-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 8px;
    margin: 0;
    white-space: nowrap; /* タイトルを1行に保つ */
}

.column-main-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 30px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 8px;
    margin: 0;
    white-space: nowrap; /* タイトルを1行に保つ */
}

.sub-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 4px;
    margin: 0;
    white-space: nowrap; /* サブタイトルを1行に保つ */
}

.company-sub-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 4px;
    margin: 0;
    white-space: nowrap; /* サブタイトルを1行に保つ */

}
.works-sub-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 4px;
    margin: 0;
    white-space: nowrap; /* サブタイトルを1行に保つ */
}

.column-sub-title {
    color: #333;
    font-family: "BIZ UDGothic";
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: 4px;
    margin: 0;
    white-space: nowrap; /* サブタイトルを1行に保つ */
}


.decorative-lines {
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    gap: 12px;
    
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}

.company-decorative-lines {
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    gap: 12px;
    
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}

.works-decorative-lines {
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    gap: 12px;
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}

.column-decorative-lines {
    flex-grow: 1;
    display: flex;
    flex-direction: row;
    gap: 12px;
    min-width: 0; /* flexアイテムの最小幅を0に設定 */
}


.line {
    display: block;
    height: 2px;
    width: 100%;
}

.blue-line {
    background: #00A0E9;
}

.red-line {
    background: #DE021E;
}

.business-image {
    margin-top: 60px;
    width: 100%;
}

.business-image img {
    width: 100%;
    height: auto;
    display: block;
}

.company-header-description {
    font-family: 'BIZ UDGothic', sans-serif;
    font-weight: bold;
	text-align: center;
    font-size: 30px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    margin-top:50px;
    line-height:1.8;
    letter-spacing:0.14em;
}

/* レスポンシブ対応 */
@media screen and (max-width: 1240px) {
   

    .decorative-lines {
        max-width: 100%; /* 画面幅に応じて相対的に調整 */
    }
}

@media screen and (max-width: 1024px) {
    .business-main {
        padding-top: 100px;
    }

    .main-title {
        font-size: 28px;
        letter-spacing: 6px;
    }

    .sub-title {
        font-size: 14px;
        letter-spacing: 3px;
    }

    .title-group {
        gap: 15px;
    }

    .decorative-lines {
        max-width: 100%; /* 画面幅に応じて相対的に調整 */
    }
	.company-header-description {
    font-family: 'BIZ UDGothic', sans-serif;
    font-weight: bold;
	text-align: center;
    font-size: 24px;
    padding: 0 40px;
    max-width: 1350px;
    margin: 0 auto;
    width: 100%;
    margin-top:50px;
    line-height:1.8;
    letter-spacing:0.14em;
}
}

@media screen and (max-width: 965px) {
    .works-page-header {
       

        margin-top: 116px;
    
    }

  
}

@media screen and (max-width: 960px) {
    .column-page-header {
       
        margin-top: 230px;
    
    }

  
}

@media screen and (max-width: 768px) {

    .business-image img{
        width: 100%;
    height: 180px;
    display: block;
    object-fit: cover;
    }

    .page-header {
        margin-top: 20px;
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
        padding: 0 20px;
    }

    .title-group {
        width: 100%;
    }

    .decorative-lines {
        max-width: 100%;
        width: 100%;
    }

    .main-title {
        font-size: 20px;
        letter-spacing: 5px;
    }

    .business-main {
        padding-top: 110px;
    }

    .business-image {
        margin-top: 40px;
    }
	.company-header-description {
        font-family: 'BIZ UDGothic', sans-serif;
        font-weight: bold;
        font-size: 14px;
        padding: 0 40px;
        max-width: 1350px;
        margin: 0 auto;
        width: 100%;
        margin-top:10px;
        line-height:1.8;
        letter-spacing:0.14em;
    }
}

/* デフォルトは改行を非表示 */
.mobile-only {
    display: none;
}

/* 画面幅650px以下の場合、改行を表示 */
@media (max-width: 650px) {
    .mobile-only {
        display: block;
    }
}

@media screen and (max-width: 480px) {
    .page-header {
        padding: 0 45px;
        max-width: 425px;
    }

    .main-title {
        font-size: 20px;
        letter-spacing: 4px;
    }

    .sub-title {
        font-size: 12px;
        letter-spacing: 2px;
    }

    .title-group {
        gap: 10px;
    }

    .decorative-lines {
        gap: 8px;
    }
}

@media screen and (max-width: 767px) {
    .works-page-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
        padding: 0 20px;
        margin: 60px auto 30px auto;
        max-width: 700px;
    }

    .column-page-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
        padding: 0 40px;
        margin: 80px auto 30px auto;
        max-width: 800px;
    }

    .company-page-header {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
        padding: 0 40px;
        margin: 125px auto 30px auto;
        max-width: 700px;
    }
    .works-title-group {
        width: 100%;
        gap: 15px;
    }

    .column-title-group {
        width: 100%;
        gap: 15px;
    }

    .company-title-group {
        width: 100%;
        gap: 15px;
    }
    

    .works-main-title {
        font-size: 20px;
        letter-spacing: 4px;
    }

    .column-main-title {
        font-size: 20px;
        letter-spacing: 4px;
    }

    .company-main-title {
        font-size: 20px;
        letter-spacing: 4px;
    }
    

    .works-sub-title {
        font-size: 14px;
        letter-spacing: 2px;
    }

    .column-sub-title {
        font-size: 14px;
        letter-spacing: 2px;
    }

    .company-sub-title {
        font-size: 14px;
        letter-spacing: 2px;
    }
    

    .works-decorative-lines {
        max-width: 100%;
        width: 100%;
    }

    .column-decorative-lines {
        max-width: 100%;
        width: 100%;
    }

    .company-decorative-lines {
        max-width: 100%;
        width: 100%;
    }



@media screen and (max-width: 575px) {
    .works-page-header {
        margin-top: 0px;
        padding: 0 45px;
    }

    .service-header {
        padding: 0 45px;
    }

    

    .column-page-header {
        margin-top: 0px;
    }

    .example-title-group {
        margin-top: 50px;
        margin-bottom: 10px;

    }

    .company-page-header {
        margin-top: 115px;
    }
    
    .works-title-group {
        gap: 10px;
    }


    .column-title-group {
        gap: 10px;
    }

    .company-title-group {
        gap: 10px;
    }
    

    .works-main-title {
        font-size: 20px;
        letter-spacing: 3.6px;
    }

    .column-main-title {
        font-size: 20px;
        letter-spacing: 3.6px;
    }

    .company-main-title {
        font-size: 20px;
        letter-spacing: 3.6px;
    }
    

    .works-sub-title {
        font-size: 12px;
        letter-spacing: 1.8px;
    }

    .column-sub-title {
        font-size: 12px;
        letter-spacing: 1.8px;
    }

    .company-sub-title {
        font-size: 12px;
        letter-spacing: 1.8px;
    }

    .works-decorative-lines {
        gap: 8px;
    }


    .column-decorative-lines {
        gap: 8px;
    }

    .company-decorative-lines {
        gap: 8px;
    }

}
